#
# Conditional build:
%bcond_with	tests	# unit tests
%bcond_without	lpcnet	# LPCNet support
#
Summary:	Speech codec for 2400 bit/s and below
Summary(pl.UTF-8):	Kodek mowy do przesyłania danych 2400 bitów/s i poniżej
Name:		codec2
Version:	1.0.5
Release:	1
License:	LGPL v2.1
Group:		Libraries
#Source0Download: https://github.com/drowe67/codec2/releases
Source0:	https://github.com/drowe67/codec2/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	16a09b210409bad137c91bb18eb7cb92
URL:		http://rowetel.com/codec2.html
BuildRequires:	cmake >= 3.0
%{?with_lpcnet:BuildRequires:	lpcnetfreedv-devel >= 0.3}
%if %{with tests}
BuildRequires:	libsamplerate-devel
BuildRequires:	speex-devel
BuildRequires:	speexdsp-devel
%endif
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Codec 2 is an open source (LGPL licensed) speech codec for 2400 bit/s
and below. This is the runtime library package.

%description -l pl.UTF-8
Codec 2 to mający otwarte źródła (na licencji LGPL) kodek mowy dla
szybkości przesyłania danych 2400 bit/s i niższych. Ten pakiet zawiera
bibliotekę uruchomieniową.

%package devel
Summary:	Header files for Codec 2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Codec 2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Codec 2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Codec 2.

%package tools
Summary:	Tools for encoding and decoding in Codec 2 format
Summary(pl.UTF-8):	Narzędzia do kodowania i dekodowania w formacie Codec 2
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description tools
Tools for encoding and decoding in Codec 2 format.

%description tools -l pl.UTF-8
Narzędzia do kodowania i dekodowania w formacie Codec 2.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	%{?with_lpcnet:-DLPCNET=ON} \
	%{!?with_tests:-DUNITTEST=OFF}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install build/src/{c2dec,c2enc} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README*
%attr(755,root,root) %{_libdir}/libcodec2.so.1.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcodec2.so
%{_includedir}/codec2
%{_libdir}/cmake/codec2
%{_pkgconfigdir}/codec2.pc

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/c2dec
%attr(755,root,root) %{_bindir}/c2enc
%changelog
* Sat Apr 08 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/codec2.git;a=log;h=master

* Sat Apr 08 2023 Jakub Bogusz <qboosh@pld-linux.org> a3a00b9
- release 1

* Sat Apr 08 2023 Jakub Bogusz <qboosh@pld-linux.org> d014544
- bootstrap release 0.1

* Wed Apr 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 01535c7
- updated to 1.0.5 (new soname)

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> b4dad8b
- enable lpcnet by default, release 1

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> d267f2d
- updated to 0.9.2 (new soname)
- now it has circular dependency with lpcnetfreedv, release 0.1 for bootstrap

* Sun Apr 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 88f94fc
- new

